Imagick::shadowImage
Imagick::shaveImage
Imagick
PHP Manual

# Imagick::sharpenImage

(PECL imagick 2.0.0)

Imagick::sharpenImage — Sharpens an image

### Description

bool Imagick::sharpenImage ( float `$radius` , float `$sigma` [, int `$channel` = Imagick::CHANNEL_ALL ] )

Sharpens an image. We convolve the image with a Gaussian operator of the given radius and standard deviation (sigma). For reasonable results, the radius should be larger than sigma. Use a radius of 0 and Imagick::sharpenImage() selects a suitable radius for you.

### Parameters

`radius`

`sigma`

`channel`

### Return Values

Returns `TRUE` on success.

### Examples

Example #1 Imagick::sharpenImage()

`<?php
function sharpenImage($imagePath, $radius, $sigma, $channel) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->sharpenimage($radius, $sigma, $channel);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`

Imagick::shadowImage
Imagick::shaveImage
Imagick
PHP Manual